| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros
OgreShaderExIntegratedPSSM3.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreShaderSubRenderState.h"`

## Classes
class | Ogre::RTShader::IntegratedPSSM3
| Integrated PSSM shadow receiver with 3 splits sub render state implementation. More...
class | Ogre::RTShader::IntegratedPSSM3Factory
| A factory that enables creation of IntegratedPSSM3 instances. More...

## Namespaces
| Ogre
| Ogre::RTShader

## Macros
#define | SGX_FUNC_APPLYSHADOWFACTOR_DIFFUSE "SGX_ApplyShadowFactor_Diffuse"
#define | SGX_FUNC_COMPUTE_SHADOW_COLOUR3 "SGX_ComputeShadowFactor_PSSM3"
#define | SGX_FUNC_MODULATE_SCALAR "SGX_ModulateScalar"
#define | SGX_LIB_INTEGRATEDPSSM "SGXLib_IntegratedPSSM"